package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1"
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type PlaceRouter struct {
}

// InitPlaceRouter 初始化 Place 路由信息
func (s *PlaceRouter) InitPlaceRouter(Router *gin.RouterGroup) {
	placeRouter := Router.Group("place").Use(middleware.OperationRecord())
	var placeApi = v1.ApiGroupApp.AutoCodeApiGroup.PlaceApi
	{
		placeRouter.POST("createPlace", placeApi.CreatePlace)             // 新建Place
		placeRouter.DELETE("deletePlace", placeApi.DeletePlace)           // 删除Place
		placeRouter.DELETE("deletePlaceByIds", placeApi.DeletePlaceByIds) // 批量删除Place
		placeRouter.PUT("updatePlace", placeApi.UpdatePlace)              // 更新Place
		placeRouter.GET("findPlace", placeApi.FindPlace)                  // 根据ID获取Place
		placeRouter.GET("getPlaceList", placeApi.GetPlaceList)            // 获取Place列表
	}
}
